Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision a9cf4b1e763458eb1d7f20f9d55d1f5bd8a87da6)
+++ src/FLEXPART.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -451,14 +451,19 @@
   call timemanager(metdata_format)
 
+  if (verbosity.gt.0) then
 ! NIK 16.02.2005 
-  do i=1,nspec
-    write(*,*) '**********************************************'
-    write(*,*) 'Scavenging statistics for species ', species(i), ':'
-    write(*,*) 'Total number of occurences of below-cloud scavenging', &
-         & tot_blc_count(i)
-    write(*,*) 'Total number of occurences of in-cloud    scavenging', &
-         & tot_inc_count(i)
-    write(*,*) '**********************************************'
-  end do
+    do i=1,nspec
+      if (tot_inc_count(i).gt.0) then
+         write(*,*) '**********************************************'
+         write(*,*) 'Scavenging statistics for species ', species(i), ':'
+         write(*,*) 'Total number of occurences of below-cloud scavenging', &
+           & tot_blc_count(i)
+         write(*,*) 'Total number of occurences of in-cloud    scavenging', &
+           & tot_inc_count(i)
+         write(*,*) '**********************************************'
+      endif
+    end do
+    write (*,*) 'timemanager> call wetdepo'
+  endif
   
   write(*,*) 'CONGRATULATIONS: YOU HAVE SUCCESSFULLY COMPLETED A FLE&
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision c2bd55ea39cbd0be88e7e8329b1c9c4e01754957)
+++ src/com_mod.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -174,8 +174,6 @@
   real :: ri(5,numclass),rac(5,numclass),rcl(maxspec,5,numclass)
   real :: rgs(maxspec,5,numclass),rlu(maxspec,5,numclass)
-  real :: rm(maxspec),dryvel(maxspec),kao(maxspec)
+  real :: rm(maxspec),dryvel(maxspec)
   real :: ohcconst(maxspec),ohdconst(maxspec),ohnconst(maxspec)
-  ! se  it is possible to associate a species with a second one to make transfer from gas to aerosol
-  integer :: spec_ass(maxspec)
 
   real :: area_hour(maxspec,24),point_hour(maxspec,24)
Index: src/get_wetscav.f90
===================================================================
--- src/get_wetscav.f90	(revision 79e0349a50fd1ee6dfdf4b044ade2b6f1e702855)
+++ src/get_wetscav.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -151,10 +151,7 @@
       if (height(il).gt.ztra1(jpart)) then
         hz=il-1
-!        goto 26
         exit
       endif
     end do
-!26  continue
-
 
     if (ngrid.eq.0) then
@@ -203,23 +200,16 @@
 
 
-!ZHG oct 2014 : Calculated for 1) both 2) lsp 3) convp 
+!ZHG oct 2014 : Calculated for 1) both 2) lsp 3) convp - 2 and 3 not used removed by SE
 ! Tentatively differentiate the grfraction for lsp and convp for treating differently the two forms
 ! for now they are treated the same
     grfraction(1)=max(0.05,cc*(lsp*lfr(i)+convp*cfr(j))/(lsp+convp))
-    grfraction(2)=max(0.05,cc*(lfr(i)))
-    grfraction(3)=max(0.05,cc*(cfr(j)))
-
 
 ! 2) Computation of precipitation rate in sub-grid cell
 !******************************************************
     prec(1)=(lsp+convp)/grfraction(1)
-    prec(2)=(lsp)/grfraction(2)
-    prec(3)=(convp)/grfraction(3)
-
 
 ! 3) Computation of scavenging coefficients for all species
 !    Computation of wet deposition
 !**********************************************************
-
 
       if (ngrid.gt.0) then
@@ -237,5 +227,4 @@
 !******************************************************************
         if ((dquer(ks).le.0.).and.(weta_gas(ks).gt.0..or.wetb_gas(ks).gt.0.)) then
-          !        if (weta(ks).gt.0. .or. wetb(ks).gt.0.) then 
           blc_count(ks)=blc_count(ks)+1
           wetscav=weta_gas(ks)*prec(1)**wetb_gas(ks)
@@ -271,6 +260,4 @@
           endif
           
-!             write(*,*) 'bl-cloud, act_temp=',act_temp, ',prec=',prec(1),',wetscav=', wetscav, ', jpart=',jpart
-
         endif ! gas or particle
 !      endif ! positive below-cloud scavenging parameters given in Species file
@@ -285,5 +272,4 @@
         if ((ccn_aero(ks).gt.0. .or. in_aero(ks).gt.0.).or.(henry(ks).gt.0.and.dquer(ks).le.0)) then 
           inc_count(ks)=inc_count(ks)+1
-!          write(*,*) 'Incloud: ',inc_count
 ! if negative coefficients (turned off) set to zero for use in equation
           if (ccn_aero(ks).lt.0.) ccn_aero(ks)=0.
@@ -300,5 +286,5 @@
 ! sec test
 !           cl=1E6*1E-7*prec(1)**0.3 !Sec GFS new
-            cl=1E6*2E-7*prec(1)**0.36 !Sec ECMWF new
+            cl=1E6*2E-7*prec(1)**0.36 !Sec ECMWF new, is also suitable for GFS
 !           cl=2E-7*prec(1)**0.36 !Andreas
 !           cl=1.6E-6*prec(1)**0.36 !Henrik
@@ -322,25 +308,14 @@
           if (dquer(ks).gt.0.) then
             S_i= frac_act/cl
-!           write(*,*) 'Si: ',S_i
-
 ! GAS
 !****
           else
-
             cle=(1-cl)/(henry(ks)*(r_air/3500.)*act_temp)+cl
-!REPLACE to switch old/ new scheme 
-          ! S_i=frac_act/cle
             S_i=1/cle
           endif ! gas or particle
 
 ! scavenging coefficient based on Hertel et al 1995 - using the S_i for either gas or aerosol
-!OLD 
-          if ((readclouds.and.ngrid.eq.0).or.(readclouds_this_nest.and.ngrid.gt.0)) then
+!SEC wetscav fix, the cloud height is no longer needed, it gives wrong results
             wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)
-          else
-!SEC wetscav fix
-             wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)
-!            wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)/clouds_h
-          endif
         endif ! positive in-cloud scavenging parameters given in Species file
       endif !incloud
Index: src/netcdf_output_mod.f90
===================================================================
--- src/netcdf_output_mod.f90	(revision ae43937f34fb948c5aa7c5307dc0a9df9053f861)
+++ src/netcdf_output_mod.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -67,6 +67,5 @@
                        ccn_aero,in_aero, & ! wetc_in,wetd_in, &
                        reldiff,henry,f0,density,dquer,dsigma,dryvel,&
-!                       weightmolar,ohreact,spec_ass,kao,vsetaver,&
-                       weightmolar,ohcconst,ohdconst,spec_ass,kao,vsetaver,&
+                       weightmolar,ohcconst,ohdconst,vsetaver,&
                        ! for concoutput_netcdf and concoutput_nest_netcdf
                        nxmin1,nymin1,nz,oro,oron,rho,rhon,&
@@ -512,7 +511,5 @@
         call nf90_err(nf90_put_att(ncid, sID, 'ohcconst', ohcconst(i)))
         call nf90_err(nf90_put_att(ncid, sID, 'ohdconst', ohdconst(i)))
-        call nf90_err(nf90_put_att(ncid, sID, 'kao', kao(i)))
         call nf90_err(nf90_put_att(ncid, sID, 'vsetaver', vsetaver(i)))
-        call nf90_err(nf90_put_att(ncid, sID, 'spec_ass', spec_ass(i)))
 
         if (lnest) then
@@ -535,7 +532,5 @@
         call nf90_err(nf90_put_att(ncid, sID, 'ohcconst', ohcconst(i)))
         call nf90_err(nf90_put_att(ncid, sID, 'ohdconst', ohdconst(i)))
-        call nf90_err(nf90_put_att(ncid, sID, 'kao', kao(i))) 
         call nf90_err(nf90_put_att(ncid, sID, 'vsetaver', vsetaver(i)))
-        call nf90_err(nf90_put_att(ncid, sID, 'spec_ass', spec_ass(i)))
 
         if (lnest) then
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision aa8c34a4e29198f0666be476133e8d1bc1d712f8)
+++ src/readspecies.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -67,7 +67,7 @@
   character(len=16) :: pspecies
   real :: pdecay, pweta_gas, pwetb_gas, preldiff, phenry, pf0, pdensity, pdquer
-  real :: pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pkao
+  real :: pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst
   real :: pcrain_aero, pcsnow_aero, pccn_aero, pin_aero
-  integer :: readerror, pspec_ass
+  integer :: readerror
 
 ! declare namelist
@@ -76,5 +76,5 @@
        pcrain_aero, pcsnow_aero, pccn_aero, pin_aero, &
        preldiff, phenry, pf0, pdensity, pdquer, &
-       pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pspec_ass, pkao
+       pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst
 
   pspecies="" ! read failure indicator value
@@ -96,6 +96,4 @@
   pohdconst=-9.9E-09
   pohnconst=2.0
-  pspec_ass=-9
-  pkao=-99.99
   pweightmolar=-999.9
 
@@ -164,8 +162,4 @@
     read(unitspecies,'(f8.2)',end=22) ohnconst(pos_spec)
 !  write(*,*) ohnconst(pos_spec)
-    read(unitspecies,'(i18)',end=22) spec_ass(pos_spec)
-!  write(*,*) spec_ass(pos_spec)
-    read(unitspecies,'(f18.2)',end=22) kao(pos_spec)
-!       write(*,*) kao(pos_spec)
 
     pspecies=species(pos_spec)
@@ -188,6 +182,4 @@
     pohdconst=ohdconst(pos_spec)
     pohnconst=ohnconst(pos_spec)
-    pspec_ass=spec_ass(pos_spec)
-    pkao=kao(pos_spec)
 
   else
@@ -212,7 +204,4 @@
     ohdconst(pos_spec)=pohdconst
     ohnconst(pos_spec)=pohnconst
-    spec_ass(pos_spec)=pspec_ass
-    kao(pos_spec)=pkao
-
   endif
 
@@ -303,19 +292,4 @@
   end if
 
-  if (spec_ass(pos_spec).gt.0) then
-    spec_found=.FALSE.
-    do j=1,pos_spec-1
-      if (spec_ass(pos_spec).eq.specnum(j)) then
-        spec_ass(pos_spec)=j
-        spec_found=.TRUE.
-        ASSSPEC=.TRUE.
-      endif
-    end do
-    if (spec_found.eqv..false.) then
-      goto 997
-    endif
-  endif
-
-  if (dsigma(i).eq.1.) dsigma(i)=1.0001   ! avoid floating exception
   if (dsigma(i).eq.0.) dsigma(i)=1.0001   ! avoid floating exception
 
